﻿using System;
using System.Collections.Generic;
using Syncfusion.SfCalendar.XForms;
using Xamarin.Forms;

namespace CalendarTestProj
{
    public partial class AppointmentView : ContentPage
    {
        Label subject,starttime,endtime,color,location,attendees;
        DatePicker picker1, picker2;
        Entry subjectentry,locationentry,attendeesentry;
        Picker colorpicker;
        Button addButton;
        Color ccolor;
        SfCalendar cal;
        void Colorpicker_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (colorpicker.SelectedIndex)
            {
                case 0:
                    ccolor = Color.Red;
                    break;
                case 1:
                    ccolor = Color.Yellow;
                    break;
                case 2:
                    ccolor = Color.Blue;
                    break;
            }
        }

        void AddButton_Clicked(object sender, EventArgs e)
        {
            CustomInlineEvent cevent = new CustomInlineEvent();
            cevent.Subject = subjectentry.Text;
            cevent.StartTime = cal.SelectedDate;
            cevent.EndTime = cal.SelectedDate;
            cevent.Location = locationentry.Text;
            cevent.Attendees = attendeesentry.Text;
            cevent.Color = ccolor;
            App.collection.Add(cevent);
            Navigation.PopAsync();
        }

        public AppointmentView(SfCalendar calendar)
        {
            InitializeComponent();
            cal = calendar;
            subject = new Label();
            subject.Text = "Subject";
            starttime = new Label();
            location = new Label() {Text="Location" };
            attendees = new Label() { Text = "Attendees" };
           // starttime.Text = "Start Date";
            endtime = new Label();
         //   endtime.Text = "End Date";
            color = new Label();
            color.Text = "Color";
           // picker1 = new DatePicker();
           // picker2 = new DatePicker();
            subjectentry = new Entry();
            attendeesentry = new Entry();
            locationentry = new Entry();
            colorpicker = new Picker();
            colorpicker.Items.Add("Red");
            colorpicker.Items.Add("Yellow");
            colorpicker.Items.Add("Blue");
            colorpicker.SelectedIndexChanged+= Colorpicker_SelectedIndexChanged;
            addButton = new Button();
            addButton.Text = "Add Appointment";
            addButton.Clicked+= AddButton_Clicked;
            StackLayout layout = new StackLayout();
            layout.Orientation = StackOrientation.Vertical;
            layout.Children.Add(subject);
            layout.Children.Add(subjectentry);
         //   layout.Children.Add(starttime);
          //  layout.Children.Add(picker1);
           // layout.Children.Add(picker2);
            layout.Children.Add(color);
            layout.Children.Add(colorpicker);
            layout.Children.Add(location);
            layout.Children.Add(locationentry);
            layout.Children.Add(attendees);
            layout.Children.Add(attendeesentry);
            layout.Children.Add(addButton);
            this.Content = layout;

        }
    }
}
